#! /bin/sh
#
# rc.M		This file is executed by init(8) when the system is being
#		initialized for one of the "multi user" run levels (i.e.
#		levels 1 through 6).  It usually does mounting of file
#		systems et al.
#
# Version:	@(#)/etc/rc.d/rc.M	2.02	02/26/93
#
# Author:	Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>
#

  # Tell the viewers what's going to happen...
  # echo "Starte Multiuser Modus..."

  # Screen blanks after 15 minutes idle time.
  /bin/setterm -blank 15

  # Initialize the NET subsystem.
  if [ -f /etc/rc.d/rc.inet1 ];
  then
        /bin/hostname `cat /etc/HOSTNAME | cut -f1 -d .`
        /bin/domainname `cat /etc/HOSTNAME | cut -f2- -d .`
        /bin/sh /etc/rc.d/rc.inet1
        /bin/sh /etc/rc.d/rc.inet2
  else
        echo "/etc/rc.d/rc.inet1 is missing ... system halt!"
        while 1; do : ; done
  fi

  # Remove stale locks (must be done after mount -a!)
  /bin/rm -f /usr/spool/locks/* /usr/spool/uucp/LCK..* /tmp/.X*lock 1> /dev/null 2> /dev/null

  # Start the local setup procedure.
  /bin/sh /etc/rc.d/rc.local

# run X11. for 16bpp, add "-bpp 16". 
/usr/X11R6/bin/X -indirect XDMCPHOST -logo -p 1 -s 10 > /var/run/xsession-errors 2>&1 &


  # All done.
