# /etc/rc.S
#
# These commands are executed at boot time by init(8).
# User customization should go in /etc/rc.local.

PATH=/sbin:/usr/sbin:/bin:/usr/bin

# Loading local keytable
if [ -f /usr/lib/kbd/keytables/local.map ]; then
	echo "Loading local keyboard mapping ..."
	/bin/loadkeys /usr/lib/kbd/keytables/local.map
fi

# remove /etc/mtab* so that mount will create it with a root entry
/bin/rm -f /etc/mtab* /etc/nologin /etc/utmp

# Looks like we have to create this.
cat /dev/null >> /etc/utmp
# libc.so.4.7.2. requires:
ln -sf /etc/utmp /var/run 

# mount file systems in fstab (and create an entry for /)
# but not NFS because TCP/IP is not yet configured
/sbin/mount -avt proc /proc /proc

# Set up the serial ports.
/bin/sh /etc/rc.d/rc.serial

